ObjectPoolList (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.pool
Class ObjectPoolList<T>

    java.lang.Object
      org.maltparser.core.pool.ObjectPool<T>
          org.maltparser.core.pool.ObjectPoolList<T>

    public abstract class ObjectPoolList<T>

extends ObjectPool<T>

Field Summary

Fields inherited from class org.maltparser.core.pool.ObjectPool
`keepThreshold`

Constructor Summary
`ObjectPoolList()`
`ObjectPoolList(int keepThreshold)`

Method Summary
`void` | `checkIn(T o)`
`void` | `checkInAll()`
`T` | `checkOut()`
`protected abstract T` | `create()`
`int` | `getCurrentSize()`
`abstract void` | `resetObject(T o)`
`void` | `setCurrentSize(int currentSize)`
`int` | `size()`
`String` | `toString()`

Methods inherited from class org.maltparser.core.pool.ObjectPool
`getKeepThreshold, setKeepThreshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectPoolList

    public ObjectPoolList()

### ObjectPoolList

    public ObjectPoolList(int keepThreshold)

Method Detail

### create

    protected abstract T create()
                         throws MaltChainedException

  Specified by:
    `create` in class `ObjectPool<T>`
  Throws:
    `MaltChainedException`

### resetObject

    public abstract void resetObject(T o)
                              throws MaltChainedException

  Specified by:
    `resetObject` in class `ObjectPool<T>`
  Throws:
    `MaltChainedException`

### checkOut

    public T checkOut()
               throws MaltChainedException

  Specified by:
    `checkOut` in class `ObjectPool<T>`
  Throws:
    `MaltChainedException`

### checkIn

    public void checkIn(T o)
                 throws MaltChainedException

  Specified by:
    `checkIn` in class `ObjectPool<T>`
  Throws:
    `MaltChainedException`

### checkInAll

    public void checkInAll()
                    throws MaltChainedException

  Specified by:
    `checkInAll` in class `ObjectPool<T>`
  Throws:
    `MaltChainedException`

### getCurrentSize

    public int getCurrentSize()

### setCurrentSize

    public void setCurrentSize(int currentSize)

### size

    public int size()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.